it-swarm.com.de

Das Upgrade schlägt aufgrund von blcr-dkms fehl

Wenn ich versuche, meine Ubuntu 10.04-Installation auf 10.10 zu aktualisieren, wird die folgende Fehlermeldung angezeigt.

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
Trying to install blacklisted version 'blcr-dkms_0.8.2-13'

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bug report.

Keiner der drei trifft auf mich zu (glaube ich).

Nun stellte ich fest, dass dies auch andere Personen betrifft: https://bugs.launchpad.net/update-manager/+bug/657662

Gibt es hier jemanden, der weiß, was falsch sein könnte? Oder eine Problemumgehung, damit ich Maverick Meerkat installieren kann?

6
Peter Smit

Basierend auf dem guten Vorschlag von PocketSam

Suchen Sie mit aptitude why blcr-dkms, warum das Paket installiert ist, und entfernen Sie dieses Paket, wenn möglich. Für mich war dies das Paket r-cran-rmpi, das ich eigentlich nicht benutze, sondern mit einem apt-get install r-cran-* Befehl installiere.

Vergessen Sie nicht, apt-get autoremove auszuführen, um das Paket blcr-dkms wirklich automatisch zu deinstallieren.

Der Grund dafür, dass dieses Paket nicht funktioniert, wird erklärt hier

8
Peter Smit

Vielleicht können Sie versuchen, dieses Modul mit dkms zu entfernen?

Sudo dkms uninstall blcr-dkms 
Sudo dkms remove -all blcr-dkms

Habe keine Ahnung ob es etwas kaputt machen wird. Mit BLCR (Berkeley Lab Checkpoint/Restart) können Programme, die unter Linux ausgeführt werden, "überprüft" (vollständig in eine Datei geschrieben) und später "neu gestartet" werden.

3
PocketSam

Ich habe die gleiche Meldung erhalten, aber als ich es zum dritten Mal mit Sudo update-manager -d versuchte, hat es funktioniert ...

2
Toby Lunn

Ich habe diesen Fehler bekommen, aber er scheint behoben zu sein, nachdem ich einen Fehler gemacht habe

Sudo apt-get install blcr-dkms
1
Mr. Crankypants

Verwenden Sie Synaptic und deinstallieren Sie einfach das blcr-dkms -Paket.

0
Bert